IXFRDIST(1)

NAME
ixfrdist - An IXFR/AXFR-only server that re-distributes zones

SYNOPSIS

ixfrdist [OPTION]...

DESCRIPTION

ixfrdist transfers zones from an authoritative server and re-serves these zones over AXFR and IXFR. It checks the SOA serial for all configured domains and downloads new versions to disk.

When a SOA query comes in and the client's address is allowed by the ACL, ixfrdist responds with the latest SOA for the zone it has. This query can be followed up with an IXFR or AXFR query, which will then be served to the client. Should an IXFR be served, ixfrdist will condense all differences it has for the domain into one IXFR.

ixfrdist is configured with a configuration file in YAML format. Please see ixfrdist.yml(5) for information.

OPTIONS

--help
    Show all supported options

--verbose
    Log INFO messages

--debug
    Log INFO and DEBUG messages

--version
    Display the version of ixfrdist

--config <PATH>
    Load configuration from PATH, a YAML file. When not set, an ixfrdist.yml is attempted to be read from the SYSCONFDIR.

SEE ALSO

ixplore(1), pdns_server(1), ixfrdist.yml(5)

AUTHOR
PowerDNS.COM BV

COPYRIGHT
2001-2023, PowerDNS.COM BV